Skip to content

Get agent vital signs

GET
/api/v1/agents/{role}/vitals
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/agents/example/vitals \
--header 'X-API-Key: <X-API-Key>'

Return performance vital signs for the specified agent role.

role
required
Role

The agent role identifier

string

The agent role identifier

Successful Response

Media typeapplication/json
AgentVitalsResponse

Wrapper response for GET /agents/{role}/vitals.

Attributes: data: The vitals payload.

object
data
required
AgentVitalsData

Agent vital signs for GET /agents/{role}/vitals.

Attributes: agent_role: The agent role identifier. tasks_completed: Total completed tasks in the latest period. tasks_failed: Total failed tasks in the latest period. avg_execution_time_seconds: Average task execution time. acceptance_rate: Fraction of recommendations accepted by the user. outcome_accuracy: Fraction of predicted outcomes that matched reality. tokens_used: Total tokens consumed in the latest period. cost_usd: Total cost in USD for the latest period. period_start: ISO timestamp of the period start. period_end: ISO timestamp of the period end.

object
acceptance_rate
Any of:
number
agent_role
required
Agent Role
string
avg_execution_time_seconds
Any of:
number
cost_usd
Cost Usd
number
0
outcome_accuracy
Any of:
number
period_end
Any of:
string
period_start
Any of:
string
tasks_completed
Tasks Completed
integer
0
tasks_failed
Tasks Failed
integer
0
tokens_used
Tokens Used
integer
0
Example
{
"data": {
"cost_usd": 0,
"tasks_completed": 0,
"tasks_failed": 0,
"tokens_used": 0
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}